> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Merchant Config inquiry



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/merchantconfig/inquiry
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers:
  - url: https://www.waffo.com
    description: Sandbox API (auto-signed via Next.js proxy)
security: []
tags:
  - name: Order create
    description: ' Order create api description'
  - name: Subscription create
    description: Subscription create api description
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Order cancel
    description: Order cancel api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Order refund
    description: Order refund api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
paths:
  /api/v1/merchantconfig/inquiry:
    post:
      tags:
        - Merchant config inquiry
      summary: Merchant Config inquiry
      operationId: merchantConfigInquiry
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcqMerchantConfigRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseAcqMerchantConfigInquiryResponse'
components:
  schemas:
    AcqMerchantConfigRequest:
      type: object
      properties:
        merchantId:
          type: string
          default: '1000000201'
          description: Merchant id assigned by Waffo
          example: 1000000201
          maxLength: 64
          minLength: 0
      required:
        - merchantId
    ResponseAcqMerchantConfigInquiryResponse:
      type: object
      description: response data
      properties:
        code:
          type: string
        msg:
          type: string
        data:
          $ref: '#/components/schemas/AcqMerchantConfigInquiryResponse'
    AcqMerchantConfigInquiryResponse:
      type: object
      properties:
        merchantId:
          type: string
          description: Merchant id assigned by Waffo
        totalDailyLimit:
          type: string
          description: |-
            Daily transaction limit setting. 
             If there is a daily limit, it will be returned as json format as `{"currencyCode1":"value1", "currencyCode2":"value2"}`
             For example, 
            `{"PHP":"100000", "IDR":"2000000"}`
            If there is no limit setting, it will be empty 
        remainingDailyLimit:
          type: string
          description: >-
            Remaining Daily transaction limit 

            If there is a remaining daily limit, it will be returned as json
            format as 

            `{"currencyCode1":"value1", "currencyCode2":"value2"}` 

            For example, 

            `{"PHP":"10000", "IDR":"1000000"}`

            If there is no limit setting, it will be empty 
        transactionLimit:
          type: string
          description: |-
            Single transaction limit setting. 
            If there is a limit setting, it will be returned as json format as 
            `{"currencyCode1":"value1", "currencyCode2":"value2"}` 
            For example, 
            `{"PHP":"5000", "IDR":"100000"}`
            If there is no limit set, it will be empty 
      required:
        - merchantId

````